Description

Add ability to go directly to a chapter by entering a verse in a text-box.

Associated revisions

Revision 232 - 12/07/2012 08:32 AM - Luke Murphey

Added ability to jump to section in document by typing an section reference. Reference #470.

Revision 232 - 12/07/2012 08:32 AM - Luke Murphey

Added ability to jump to section in document by typing an section reference. Reference #470.

Revision 224 - 12/07/2012 08:32 AM - Luke Murphey

Added ability to jump to section in document by typing an section reference. Reference #470.

Revision 250 - 12/15/2012 10:12 AM - Luke Murphey

Fixed issue where incorrect chapter references caused verses to flag as invalid too.

Also updated the Javascript such that the section description is updated according to the verse selected.

Closes #470.

Revision 250 - 12/15/2012 10:12 AM - Luke Murphey

Fixed issue where incorrect chapter references caused verses to flag as invalid too.

Also updated the Javascript such that the section description is updated according to the verse selected.

Closes #470.

Revision 242 - 12/15/2012 10:12 AM - Luke Murphey

Fixed issue where incorrect chapter references caused verses to flag as invalid too.

Also updated the Javascript such that the section description is updated according to the verse selected.

Closes #470.

History

#1 - 12/07/2012 08:30 AM - Luke Murphey
There are a couple of difficulties with this:

Some works have sections with spaces in them. These spaces are difficult to distinguish from spaces intended to separate indicators (like a

reference to "1 Timothy")

References that include the verse indicator may be treated as chapter indicators

#2 - 12/07/2012 08:33 AM - Luke Murphey

- % Done changed from 0 to 50

#3 - 12/15/2012 05:10 AM - Luke Murphey

I think I have a method to handle differentiating verse indicators and chapter indicators.

1. Try to match division on all of the indicators

2. If the match succeeds, the return the division

3. If the match fails, try to match without the last indicator

4. If the partial match fails, then stop

5. If the partial match succeeds, ensure that the verse exists in the given chapter

6. If the verse exists, then return the verse and chapter

The function to get the chapter should also return the verse that matched so that it can indicate that a verse was matched.

#4 - 12/15/2012 10:09 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
